\documentclass{MHM2_lectures}

\newcommand{\vek}[1]{{\boldsymbol #1}}
\newcommand{\phs}[1]{^{(#1)}}

\begin{document}
    
\maketitle{2}{Periodic homogenization problem}

\tableofcontents

\section{Periodic boundary value problem}
%
\begin{itemize}

\item Periodic boundary value problem
%
\begin{align*}
    - \vek{\nabla}_{\vek y}^\mathsf{T} 
    \left[ 
        \vek{L}( \vek{y} )
        \vek{\nabla}_{\vek y}
        \, 
        u( \vek{y} ) 
    \right]
    & = f( \vek{y} ) 
    \text{ for }
    \vek{y} \in \mathcal{Y} 
    \\
    u( \vek{y} ) &
    \text{ is $\mathcal{Y}$-periodic } 
\end{align*}

\item Under standard assumptions on data $\vek{L}$, the problem admits a unique solution (up to an additive constant), provided that the right-hand side satisfies
%
\begin{align*}
    \int_{\mathcal Y}
    f( \vek{y} )
    d \vek{y}
    = 
    0
\end{align*}

\end{itemize}

\section{Level $\varepsilon^{-2}$}
%
\begin{itemize}
    \item Recall from Lecture~I 
    %
    \begin{align*}
    - \vek{\nabla}_{\vek y}^\mathsf{T} 
    \left[ 
        \vek{L}( \vek{y} )
        \vek{\nabla}_{\vek y}
        u^0\left( \vek{x}, \vek{y} \right)
    \right]
    = 0 
    %
    \text{ for }
    %
    ( \vek{x}, \vek{y} )
    \in
    \Omega \times \mathcal{Y}
    \end{align*}

    \item Therefore, $u^0\left( \vek{x}, \vek{y} \right) = u^0\left( \vek{x} \right)$

\end{itemize}

\section{Level $\varepsilon^{-1}$}

\begin{itemize}
    \item Recall from Lecture~I that
    %
    \begin{align*}
    - \vek{\nabla}_{\vek x}^\mathsf{T} \left[ 
        \vek{L}( \vek{y} )
        \vek{\nabla}_{\vek y}
        u^0\left( \vek{x}, \vek{y} \right)
    \right]
    - \vek{\nabla}_{\vek y}^\mathsf{T} \left[
        \vek{L}( \vek{y} )
        \left(
        \vek{\nabla}_{\vek x}
        u^0\left( \vek{x}, \vek{y} \right)
        +
        \vek{\nabla}_{\vek y}
        u^1\left( \vek{x}, \vek{y} \right)
    \right)
    \right]
    = 0
        %
    \text{ for }
    %
    ( \vek{x}, \vek{y} )
    \in
    \Omega \times \mathcal{Y}
    \end{align*}

    \item From level $\varepsilon^{-2}$, we confer that 
    %
    \begin{align*}
    - \vek{\nabla}_{\vek y}^\mathsf{T} \left[
        \vek{L}( \vek{y} )
        \left(
        \vek{\nabla}_{\vek x}
        u^0\left( \vek{x} \right)
        +
        \vek{\nabla}_{\vek y}
        u^1\left( \vek{x}, \vek{y} \right)
    \right)
    \right]
    & = 0
    & \text{for }
    %
    ( \vek{x}, \vek{y} )
    \in
    \Omega \times \mathcal{Y}
    \\
    - \vek{\nabla}_{\vek y}^\mathsf{T} \left[
        \vek{L}( \vek{y} )
        \vek{\nabla}_{\vek y}
        u^1( \vek{x}, \vek{y} )
    \right]
    & =
    \vek{\nabla}_{\vek y}^\mathsf{T} \left[
        \vek{L}( \vek{y} )
        \vek{\nabla}_{\vek x}
        u^0( \vek{x} )
    \right]
    & \text{for }
    %
    ( \vek{x}, \vek{y} )
    \in
    \Omega \times \mathcal{Y}
    \end{align*}

    \item Apply by-parts integration to right-hand side
    %
    \begin{align*}
        \int_{\mathcal Y}
        \vek{\nabla}_{\vek y}^\mathsf{T} \left[
            \vek{L}( \vek{y} )
            \vek{\nabla}_{\vek x}
            u^0( \vek{x} )
        \right]    
        d \vek{y}
        =
        \left(
        \int_{\partial \mathcal{Y}}
            \vek{n}^\mathsf{T} ( \vek{y} )
            \vek{L}( \vek{y} )
        d\vek{y}
        \right)
        \vek{\nabla}_{\vek x}
        u^0( \vek{x} )
        %
        \text{ for }
        %
        ( \vek{x}, \vek{y} )
        \in
        \Omega \times \mathcal{Y}
    \end{align*}

    \item Uniquely solvable $u^1$ in terms of $\vek{\nabla}_{\vek x}
    u^0( \vek{x} )$ (up to an additive constant)

\end{itemize}

\section{Level $\varepsilon^0$}
%
\begin{itemize}
    \item Recall from Lecture~I that 
    %
    \begin{align*}
        - \vek{\nabla}_{\vek x}^\mathsf{T} \left[
            \vek{L}( \vek{y} )
            \left(
            \vek{\nabla}_{\vek x}
            u^0\left( \vek{x}, \vek{y} \right)
            +
            \vek{\nabla}_{\vek y}
            u^1\left( \vek{x}, \vek{y} \right)
        \right)
        \right]
        - \vek{\nabla}_{\vek y}^\mathsf{T} \left[
            \vek{L}( \vek{y} )
            \vek{\nabla}_{\vek x}
            u^1\left( \vek{x}, \vek{y} \right)
        \right]
        = b( \vek{x} )
        %
        \text{ for }
        %
        ( \vek{x}, \vek{y} )
        \in
        \Omega \times \mathcal{Y}   
    \end{align*}

    \item Use again results from Level~$\varepsilon^{-1}$ and average the previous equation over $\mathcal{Y}$:
    %
    \begin{align*}
    -
    \frac{1}{|\mathcal{Y}|}
    \int_{\mathcal Y}
    \vek{\nabla}_{\vek x}^\mathsf{T}
        \vek{L}( \vek{y} )
        \left(
        \vek{\nabla}_{\vek x}
        u^0( \vek{x} )
        +
        \vek{\nabla}_{\vek y}
        u^1( \vek{x}, \vek{y} )
        \right)
    d \vek{y}
    -
    \frac{1}{|\mathcal{Y}|}
    \int_{\mathcal Y}    
        \vek{\nabla}_{\vek y}^\mathsf{T}
        \left[
        \vek{L}( \vek{y} )
        \vek{\nabla}_{\vek x}
        u^1( \vek{x}, \vek{y} )
        \right]
    d \vek{y}
    =
    \frac{1}{|\mathcal{Y}|}
    \int_{\mathcal Y}    
        b( \vek{x} )
    d \vek{y}
    \end{align*}

    \item By analogy to $\varepsilon^{-1}$ developments, we have
    %
    \begin{align*}
        \int_{\mathcal Y}    
        \vek{\nabla}_{\vek y}^\mathsf{T}
        \left[
        \vek{L}( \vek{y} )
        \vek{\nabla}_{\vek x}
        u^1( \vek{x}, \vek{y} )
        \right]
    d \vek{y}
    =
    0
    \end{align*}

    \item Therefore, 
    %
    \begin{align*}
    -
    \vek{\nabla}_{\vek x}^\mathsf{T}
    \frac{1}{|\mathcal{Y}|}
    \int_{\mathcal Y}
        \vek{L}( \vek{y} )
        \left(
        \vek{\nabla}_{\vek x}
        u^0( \vek{x} )
        +
        \vek{\nabla}_{\vek y}
        u^1( \vek{x}, \vek{y} )
        \right)
    d \vek{y}
    =
    b( \vek{x} )
    \text{ for }
    \vek{x} \in \Omega
    \end{align*}

\end{itemize}

\section{Cell formula/corrector problem}
%
\begin{itemize}

    \item Recall that 
    %
    \begin{align*}
        - \vek{\nabla}_{\vek y}^\mathsf{T} \left[
            \vek{L}( \vek{y} )
            \vek{\nabla}_{\vek y}
            u^1( \vek{x}, \vek{y} )
        \right]
        =
        \vek{\nabla}_{\vek y}^\mathsf{T} \left[
            \vek{L}( \vek{y} )
            \vek{\nabla}_{\vek x}
            u^0( \vek{x} )
        \right]    
    \end{align*}

    \item Linear PDE parameterized by (slow) $\vek{\nabla}_{\vek x}
    u^0( \vek{x} )$

    \item By linearity, $u^1$ can be constructed from $d$ \emph{precomputed} solutions by taking $\vek{\nabla}_{\vek x}
    u^0( \vek{x} ) = \vek{i}^{(\alpha)}$, $\alpha = 1, \ldots, d$

    \item Alternatively, we may consider multiple right-hand side formulation
    %
    \begin{align*}
        - \vek{\nabla}_{\vek y}^\mathsf{T} \left[
            \vek{L}( \vek{y} )
            \vek{\nabla}_{\vek y}
            \vek{U}( \vek{y} )
        \right]
        =
        \vek{\nabla}_{\vek y}^\mathsf{T} \left[
            \vek{L}( \vek{y} )
            \vek{I}
        \right]   
        & = 
        \vek{\nabla}_{\vek y}^\mathsf{T}
        \vek{L}( \vek{y} )
        \text{ for } 
        \vek{y} \in \mathcal{Y}
        \\
        \vek{U}( \vek{y} )
        & \text{ is $\mathcal{Y}$-periodic} 
    \end{align*}

    \item Then 
    %
    \begin{align*}
        u^1( \vek{x}, \vek{y} )
        =
        \vek{U}( \vek{y} )
        \vek{\nabla}_{\vek x}
        u^0( \vek{x} )
        \text{ for }
        ( \vek{x}, \vek{y} )
        \in
        \Omega \times \mathcal{Y}   
    \end{align*}

\end{itemize}

\begin{itemize}
    \item Furthermore, from Lecture~I we finally obtain
    %
    \begin{align*}
        u^\varepsilon( \vek{x} )
        & \approx
        u^0\left( \vek{x}, \vek{y} \right) 
        +
        \varepsilon \,
        u^1\left( \vek{x}, \vek{y} \right)
        =
        u^0( \vek{x} ) 
        +
        \varepsilon \,
        \vek{U}( \vek{y} )
        \vek{\nabla}_{\vek x}
        u^0( \vek{x} )
        \\
        -\vek{e}^\varepsilon( \vek{x} ) 
        & \approx 
        \left( 
            \vek{\nabla}_{\vek x}
            u^0\left( \vek{x}, \vek{y} \right)
            +
            \varepsilon^{-1}
            \vek{\nabla}_{\vek y}
            u^0\left( \vek{x}, \vek{y} \right)
        \right)
        + \varepsilon
        \left( 
            \vek{\nabla}_{\vek x}
            u^1\left( \vek{x}, \vek{y} \right)
            +
            \varepsilon^{-1}
            \vek{\nabla}_{\vek y}
            u^1\left( \vek{x}, \vek{y} \right)
        \right)
        \\
        & =
        \vek{\nabla}_{\vek x}
        u^0( \vek{x} )
        +
        \vek{\nabla}_{\vek y}
        \vek{U}( \vek{y} )
        \vek{\nabla}_{\vek x}
        u^0( \vek{x} )
        +
        \varepsilon\,
        \vek{U}( \vek{y} )
        \vek{\nabla}^2_{\vek x^2}
        u^0( \vek{x} )
        \\
        \vek{\jmath}^\varepsilon( \vek{x} ) 
        & \approx
        \vek{L}( \vek{y} )
        \left( 
        \vek{\nabla}_{\vek x}
        u^0( \vek{x} )
        +
        \vek{\nabla}_{\vek y}
        \vek{U}( \vek{y} )
        \vek{\nabla}_{\vek x}
        u^0( \vek{x} )
        +
        \varepsilon\,
        \vek{U}( \vek{y} )
        \vek{\nabla}^2_{\vek x^2}
        u^0( \vek{x} )
        \right)
    \end{align*}

    \item Homogenized fields for $\varepsilon \rightarrow 0$ : $(u^0, \vek{e}^0, \vek{\jmath}^0)$ plus \emph{correctors}

    \item Boundary conditions for $\varepsilon \rightarrow 0$: $u^( \vek{x} ) = 0$ for $\vek{x} \in \partial \Omega$

\end{itemize}

\section{Homogenized equations}

\begin{itemize}
    \item From Level~$\varepsilon^0$ derivations, we are left with the term
    %
    \begin{align*}
        &
        \frac{1}{|\mathcal{Y}|}
        \int_{\mathcal Y}
            \vek{L}( \vek{y} )
            \left(
            \vek{\nabla}_{\vek x}
            u^0( \vek{x} )
            +
            \vek{\nabla}_{\vek y}
            u^1( \vek{x}, \vek{y} )
            \right)
        d \vek{y}
        =
        \left(
        \frac{1}{|\mathcal{Y}|}
        \int_{\mathcal Y}
            \vek{L}( \vek{y} )
            \left(
                \vek{I}
                +
                \vek{\nabla}_{\vek y}
                \vek{U}( \vek{y} )
            \right)
            d \vek{y}
        \right)
        \vek{\nabla}_{\vek x}
        u^0( \vek{x} )
        \\
        & =
        \vek{L}^\mathrm{hmg}
        \vek{\nabla}_{\vek x}
        u^0( \vek{x} )
    \end{align*}

    \item Therefore, the only unknown field $u^\vek{0}$ satisfied the elliptic PDE with \emph{constant} coefficients
    %
    \begin{align*}
        - \vek{\nabla}^\mathsf{T} 
        \left( 
            \vek{L}^\mathrm{hmg}
            \vek{\nabla} u^0 (\vek{x} )
        \right)
        & =
        b( \vek{x} )
        \text{ for } \vek{x} \in \Omega
        \\
        u^0( \vek{x} ) & = 0 
        \text{ for } \vek{x} \in \partial \Omega
    \end{align*}
    
    \item Solvable using conventional numerical techniques
    
    \item All heterogeneity effects are encoded using (gradients of) correctors (cell functions) $\vek{U}$ 

\end{itemize}

%\Reference

\Acknowledgement

\end{document}